﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Presentation.Commands;
using Telerik.Windows.Controls;
using Microsoft.Practices.Composite.Events;
using EventsAggregation;

namespace ModuleA.Views
{
    public class ModuleAViewModel
    {
        public ModuleAViewModel()
        {
            OpenRadWindow = new DelegateCommand<object>(executeCommand, canHandleButtonCommand);
        }

        public DelegateCommand<object> OpenRadWindow
        {
            get;
            set;
        }

        public bool canHandleButtonCommand(object o)
        {
            return true;
        }

        public void executeCommand(object o)
        {
            var radwindowevent = this.Aggregator.GetEvent<RadWindowShowEvent<string>>();
			radwindowevent.Publish(new EventParameters<string>
				{
					Content = "Content",
					Value = "window"
				});
        }

        public IEventAggregator Aggregator { get; set; }
    }
}
