﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Modularity;
using Microsoft.Practices.Composite.Regions;
using ModuleB.Views;

namespace ModuleB
{
    public class ModuleB : IModule
    {
        IRegionManager regionManager;

        public ModuleB(IRegionManager regionManager)
        {
            this.regionManager = regionManager;
        }

        public void Initialize()
        {
			regionManager.RegisterViewWithRegion("WindowRegion", typeof(WindowContentView));
        }
    }
}