﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Practices.Composite.Events;
using EventsAggregation;

namespace RadWindowPRISM
{
	public partial class Shell : UserControl
	{
		IEventAggregator aggregator;

		public Shell(IEventAggregator aggregator)
		{
			InitializeComponent();
			this.aggregator = aggregator;
			this.aggregator.GetEvent<RadWindowShowEvent<string>>().Subscribe(this.ShowRadWindow);
		}

		public void ShowRadWindow(EventParameters<string> eventParams)
		{
			if (eventParams != null && eventParams.Value == "window")
			{
				var window = new MyRadWindow();
				window.Content = eventParams.Content;
				window.Show();
			}
		}
	}

}
